ConnectCloud Developers

Supplier addresses of masterdata (tenant:settings:read)

GET /api/trade/v1/itsp/config/vendor-addresses

Module: Trade · operationId: listVendorAddresses · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)

Responses

  • 200 Addresses (application/json)
  • 401 No valid session or bearer token (no body).
  • 403 Missing permission, no active tenant in the token, or a missing CSRF token on a cookie write. (application/json)
  • 502 A dependent service (DMS, masterdata, a distributor) failed or is unreachable. (application/json)

Fields of the 200 answer:

  • items (array of VendorAddressSummary, required)
    • addressNo (integer): Address number in masterdata.
    • city (string): City.
    • country (string): Country.
    • id (string): Masterdata address id.
    • name1 (string): Name (line 1).
    • name2 (string): Name (line 2).
    • street (string): Street and house number.
    • taxId (string): Tax number.
    • vatId (string): VAT identification number.
    • zipCode (string): Postal code.

Example 200 answer:

{
  "items": [
    {
      "addressNo": 70001,
      "city": "Hamburg",
      "country": "DE",
      "id": "6d8f0a12-3c4e-4a5b-9d6f-7e8a9b0c1d01",
      "name1": "Nordlicht IT-Distribution GmbH",
      "street": "Hafenstraße 40",
      "vatId": "DE701000001",
      "zipCode": "20457"
    },
    {
      "addressNo": 70002,
      "city": "Augsburg",
      "country": "DE",
      "id": "6d8f0a12-3c4e-4a5b-9d6f-7e8a9b0c1d02",
      "name1": "Kabelwerk Süd GmbH",
      "street": "Gewerbering 7",
      "vatId": "DE701000002",
      "zipCode": "86167"
    }
  ]
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/trade/v1/itsp/config/vendor-addresses' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI